Supported Platforms for VNC Connect

Follow

This page lists platforms that are supported by VNC Connect (version 6+).

Please refer to the RealVNC Product Lifecycle Policy in addition to the tables below to check if a particular version or platform is supported by RealVNC.

VNC Server, for devices you want to control

If you have Device Access added to your subscription, you must download VNC Server to every device you want to access and control, and install and license it.

There’s no need to download VNC Server if you only have Instant Support. You just need VNC Viewer.

Windows

Windows version VNC Server version
Windows 7 6.0.0 and later
Windows 8.0 6.0.0 and later
Windows 8.1 6.0.0 and later
Windows 10 6.0.0 and later
Windows 11 6.8.0 and later
Windows Server 2008 R2 (64bit)
Desktop Experience required
6.0.0 and later
Windows Server 2012
Desktop Experience required
6.0.0 and later
Windows Server 2012 R2
Desktop Experience required
6.0.0 and later
Windows Server 2016
Desktop Experience required
6.0.0 and later
Windows Server 2019
Desktop Experience required
6.7.0 and later
Windows Server 2022
Desktop Experience required
6.10.0 and later

Mac

Mac version VNC Server version
OS X Yosemite (10.10) 6.0.0 - 6.7.4
OS X El Capitan (10.11) 6.0.0 - 6.7.4
macOS Sierra (10.12) 6.0.0 - 6.7.4
macOS High Sierra (10.13) 6.0.0 - 6.7.4
macOS Mojave (10.14)
(Setup required)
6.3.2 - 6.10.1
macOS Catalina (10.15)
(Setup required)
6.6.0 and later
macOS Big Sur (11)
(Setup required)
6.7.4 and later
macOS Monterey (12)
(Setup required)
6.8.0 and later
macOS Ventura (13)
(Setup required)
6.11.0 and later

Linux

Linux version VNC Server version
Ubuntu 16.04 LTS 6.0.0 - 6.9.1
Ubuntu 18.04 LTS 6.3.0 and later
Ubuntu 20.04 LTS 6.7.2 and later
Ubuntu 22.04 LTS 6.10.0 and later
RedHat Enterprise Linux (RHEL) 6.x 6.0.0 - 6.7.4
RedHat Enterprise Linux (RHEL) 7.x 6.0.0 and later
RedHat Enterprise Linux (RHEL) 8.x 6.7.0 and later
RedHat Enterprise Linux (RHEL) 9.x 6.10.0 and later
CentOS 6.x 6.0.0 - 6.7.4
CentOS 7.x 6.0.0 and later
CentOS 8.x 6.7.0 and later
CentOS 9.x 6.10.0 and later
SUSE Linux Enterprise 12 6.0.0 and later
SUSE Linux Enterprise 15 6.8.0 and later

Raspberry Pi

Raspberry Pi OS (formerly Raspbian) version VNC Server version
Raspberry Pi OS 9 (Stretch) 6.0.2 - 6.8.0
Raspberry Pi OS 10 (Buster) 6.7.0 and later
Raspberry Pi OS 11 (Bullseye) 32-bit and 64-bit 6.9.0 and later

iOS / iPadOS

iOS / iPad OS version
iOS 14
iOS 15
iPadOS 14
iPadOS 15

Android

Android version
Android 7 (Nougat)
Android 8 (Oreo)
Android 9 (Pie)
Android 10
Android 11
Android 12

VNC Viewer, for devices you want to control from

For both Device Access and Instant Support, you must download VNC Viewer to every computer or mobile device you want to exercise control from. VNC Viewer is freely available for anyone to use; there’s no need to license it.

Instant Support is only available when using a Desktop version of VNC Viewer.

Windows

Windows version VNC Viewer version
Windows 7 6.0.0 and later
Windows 8.0 6.0.0 and later
Windows 8.1 6.0.0 and later
Windows 10 6.0.0 and later
Windows 11 6.21.920 and later
Windows Server 2008 R2 (64bit)
Desktop Experience required
6.0.0 and later
Windows Server 2012
Desktop Experience required
6.0.0 and later
Windows Server 2012 R2
Desktop Experience required
6.0.0 and later
Windows Server 2016
Desktop Experience required
6.0.0 and later
Windows Server 2019
Desktop Experience required
6.20.113 and later
Windows Server 2022
Desktop Experience required
6.22.515 and later

Mac

Mac version VNC Viewer version
OS X Yosemite (10.10) 6.0.0 - 6.21.406
OS X El Capitan (10.11) 6.0.0 - 6.21.406
macOS Sierra (10.12) 6.0.0 - 6.21.406
macOS High Sierra (10.13) 6.0.0 - 6.21.406
macOS Mojave (10.14) 6.19.107 - 6.22.515
macOS Catalina (10.15) 6.19.923 and later
macOS Big Sur (11) 6.21.118 and later
macOS Monterey (12) 6.21.920 and later
macOS Ventura (13) 6.22.826 and later

Linux

Linux version VNC Viewer version
Ubuntu 16.04 LTS 6.0.0 - 6.22.315
Ubuntu 18.04 LTS 6.18.625 and later
Ubuntu 20.04 LTS 6.20.529 and later
Ubuntu 22.04 LTS 6.22.515 and later
RedHat Enterprise Linux (RHEL) 6.x 6.0.0 - 6.21.406
RedHat Enterprise Linux (RHEL) 7.x 6.0.0 and later
RedHat Enterprise Linux (RHEL) 8.x 6.20.113 and later
RedHat Enterprise Linux (RHEL) 9.x 6.22.515 and later
CentOS 6.x 6.0.0 - 6.21.406
CentOS 7.x 6.0.0 and later
CentOS 8.x 6.20.113 and later
CentOS 9.x 6.22.515 and later
SUSE Linux Enterprise 12 6.0.0 and later
SUSE Linux Enterprise 15 6.21.920 and later

Raspberry Pi

Raspberry Pi OS (formerly Raspbian) version VNC Viewer version
Raspberry Pi OS 9 (Stretch) 6.0.2 - 6.21.1109
Raspberry Pi OS 10 (Buster) 6.20.113 and later
Raspberry Pi OS 11 (Bullseye) 32-bit and 64-bit 6.22.207 and later

iOS / iPadOS

iOS / iPad OS version
iOS 9
iOS 10
iOS 11
iOS 12
iOS 13
iOS 14
iOS 15
iOS 16
iPadOS 13
iPadOS 14
iPadOS 15
iPadOS 16

Android

Android version
Android 6 (Marshmallow)
Android 7 (Nougat)
Android 8 (Oreo)
Android 9 (Pie)
Android 10
Android 11
Android 12
Android 13

Instant Support, for end users you want to support

This section applies to the application downloaded by your end user. You will need to download VNC Viewer to connect to them.

Windows

Windows version
Windows 7
Windows 8.0
Windows 8.1
Windows 10
Windows 11
Windows Server 2008 R2 (64bit)
Desktop Experience required
Windows Server 2012
Desktop Experience required
Windows Server 2012 R2
Desktop Experience required
Windows Server 2016
Desktop Experience required
Windows Server 2019
Desktop Experience required

Mac

Mac version
OS X Yosemite (10.10)
OS X El Capitan (10.11)
macOS Sierra (10.12)
macOS High Sierra (10.13)
macOS Mojave (10.14) (Setup required)
macOS Catalina (10.15) (Setup required)
macOS Big Sur (11) (Setup required)
macOS Monterey (12) (Setup required)
macOS Ventura (13) (Setup required)

iOS / iPadOS

iOS / iPad OS version
iOS 14
iOS 15
iPadOS 14
iPadOS 15

Android

Android version
Android 7 (Nougat)
Android 8 (Oreo)
Android 9 (Pie)
Android 10
Android 11
Android 12

Using an older operating system?

If you have an Enterprise subscription you can install VNC 5.x software on a range of legacy platforms.

See Supported platforms for VNC 5.x

Was this article helpful?
186 out of 257 found this helpful

Comments

0 comments

Please sign in to leave a comment.